> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get employees

> Returns a list of the employees linked to the company



## OpenAPI

````yaml get /consumers/{consumer_id}/accounting/employees
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/accounting/employees:
    get:
      tags:
        - Accounting
        - Employees
      summary: Get employees
      description: Returns a list of the employees linked to the company
      operationId: accounting_get_employees
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: folder_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Folder Id
          description: >-
            Id of the accounting folder instance. A folder represents a legal
            entity within the system. Required when the multiple folders feature
            is enabled.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_EmployeeItem_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - accounting
            - accounting.read
            - accounting.employees
            - accounting.employees.read
components:
  schemas:
    ChiftPage_EmployeeItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/EmployeeItem'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[EmployeeItem]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    EmployeeItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique id of the employee in the accounting system.
        name:
          type: string
          title: Name
          description: >-
            Full name or legal name of the employee as it appears in the
            accounting system.
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: First name of the employee.
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: Last name of the employee.
        function:
          anyOf:
            - type: string
            - type: 'null'
          title: Function
          description: Job title or function of the employee.
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          description: Phone number of the employee.
        mobile:
          anyOf:
            - type: string
            - type: 'null'
          title: Mobile
          description: Mobile phone number of the employee.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Email address of the employee.
        active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Active
          description: Indicates if the employee is active.
          default: true
        reference:
          anyOf:
            - type: string
            - type: 'null'
          title: Reference
          description: External reference or identifier for the employee.
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
          description: >-
            Ledger account number assigned to the employee in the accounting
            system as it will appear in the official accounting export file
            (FEC, SIE, iXBRL, etc.)
      type: object
      required:
        - id
        - name
      title: EmployeeItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````